unit Main;

{ **************************************************************************************

       RADical Concept's TURL Component's Demo for Delphi 2.0
       ------------------------------------------------------

       Date : 14 April 97

       This is the main unit for the demo.

       Version 1.0

       Copyright  1997 RADical Concept. All rights reserved.

*************************************************************************************** }

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Buttons, ExtCtrls, StdCtrls, URLS, Menus, ComCtrls;

type
  TForm1 = class(TForm)
    LocateButton: TSpeedButton;
    OpenDialog1: TOpenDialog;
    ExitButton: TButton;
    Bevel1: TBevel;
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    LocateBrowser1: TMenuItem;
    N1: TMenuItem;
    Exit1: TMenuItem;
    About1: TMenuItem;
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    Label1: TLabel;
    URLImage1: TURLImage;
    URLImage2: TURLImage;
    TabSheet2: TTabSheet;
    URLLabel1: TURLLabel;
    URLLabel2: TURLLabel;
    URLLabel3: TURLLabel;
    Label2: TLabel;
    TabSheet3: TTabSheet;
    URLListBox1: TURLListBox;
    Label3: TLabel;
    TabSheet4: TTabSheet;
    URLComboBox1: TURLComboBox;
    Label4: TLabel;
    TUrlEdit: TTabSheet;
    Label5: TLabel;
    URLEdit1: TURLEdit;
    procedure LocateButtonClick(Sender: TObject);
    procedure ExitButtonClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure About1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses About;

{$R *.DFM}

{-----------------------------------------------------------------------------------------}
procedure TForm1.LocateButtonClick(Sender: TObject);
{ If browser can't be Auto-Located let user locate browser, then set browser property
  for all TURL component's.                                                           }
begin
  if OpenDialog1.Execute then
    begin
      URLImage1.Browser := OpenDialog1.FileName;
      URLImage2.Browser := OpenDialog1.FileName;
      URLLabel1.Browser := OpenDialog1.FileName;
      URLLabel2.Browser := OpenDialog1.FileName;
      URLLabel3.Browser := OpenDialog1.FileName;
      URLListBox1.Browser := OpenDialog1.FileName;
      URLComboBox1.Browser := OpenDialog1.FileName;
      URLEdit1.Browser := OpenDialog1.FileName;
      AboutBox.URLLabel1.Browser := OpenDialog1.FileName;
    end;
end;

{-----------------------------------------------------------------------------------------}
procedure TForm1.ExitButtonClick(Sender: TObject);
{ Close application. }
begin
  Close;
end;

{-----------------------------------------------------------------------------------------}
procedure TForm1.FormShow(Sender: TObject);
{ Set active page for page control. }
begin
  PageControl1.ActivePage := TabSheet1;
end;

{-----------------------------------------------------------------------------------------}
procedure TForm1.About1Click(Sender: TObject);
{ Show about box. }
begin
  AboutBox.ShowModal;
end;

{-----------------------------------------------------------------------------------------}
end.
